For the complete documentation index, see llms.txt. This page is also available as Markdown.

Security

get
Responses
200

OK

objectOptional
get/api/oauth/microsoft
GET /api/oauth/microsoft HTTP/1.1
Host: dev-demo.shiftiq.com
Accept: */*
200

OK

{}
post
Body
DebugbooleanOptional
PagingbooleanOptional
SecretstringOptional
Lifetimeinteger · int32Optional
Organizationstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Agentstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Subjectstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Responses
200

OK

objectOptional
post/api/token
POST /api/token HTTP/1.1
Host: dev-demo.shiftiq.com
Content-Type: application/json
Accept: */*
Content-Length: 207

{
  "Debug": true,
  "Paging": true,
  "Secret": "text",
  "Lifetime": 1,
  "Organization": "00000000-0000-0000-0000-000000000000",
  "Agent": "00000000-0000-0000-0000-000000000000",
  "Subject": "00000000-0000-0000-0000-000000000000"
}
200

OK

{}
post
Responses
200

OK

objectOptional
post/api/token/validate
POST /api/token/validate HTTP/1.1
Host: dev-demo.shiftiq.com
Accept: */*
200

OK

{}

Confirm authentication and authorization access to SiteBuilder

post

INTERNAL USE ONLY. This endpoint is used by Site Builder websites to authenticate site administrators. It returns HTTP 200 OK only if the login credentials are a valid match for an administrator with permission granted on the Site Builder tools.

Body
EmailstringOptional
PasswordstringOptional
OrganizationIdentifierstring · uuidOptionalExample: 00000000-0000-0000-0000-000000000000
Responses
200

OK

objectOptional
post/api/authenticate
POST /api/authenticate HTTP/1.1
Host: dev-demo.shiftiq.com
Content-Type: application/json
Accept: */*
Content-Length: 98

{
  "Email": "text",
  "Password": "text",
  "OrganizationIdentifier": "00000000-0000-0000-0000-000000000000"
}
200

OK

{}
post
Responses
200

OK

objectOptional
post/api/client/cookie
POST /api/client/cookie HTTP/1.1
Host: dev-demo.shiftiq.com
Accept: */*
200

OK

{}

Generates a new client secret for the authenticated user, replacing any existing secret.

post
Query parameters
expiryinteger · int32Optional

The number of days until the secret expires. If omitted, the default is assumed (90 days).

Responses
200

OK

objectOptional
post/api/secret/generate
POST /api/secret/generate HTTP/1.1
Host: dev-demo.shiftiq.com
Accept: */*
200

OK

{}

Extends the lifetime of the authenticated user's existing client secret without changing the secret value.

put
Query parameters
expiryinteger · int32Required

The desired number of days until the secret expires. Capped at a maximum of 90 days.

Responses
200

OK

objectOptional
put/api/secret/extend
PUT /api/secret/extend?expiry=1 HTTP/1.1
Host: dev-demo.shiftiq.com
Accept: */*
200

OK

{}
get
Query parameters
sessionstringRequired
Responses
200

OK

objectOptional
get/api/sessions/timeout
GET /api/sessions/timeout?session=text HTTP/1.1
Host: dev-demo.shiftiq.com
Accept: */*
200

OK

{}

Last updated

Was this helpful?